package com.ynet.life.services.http;

import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.service.GENEService;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/* loaded from: com_ynet_life_services_http.jar:com/ynet/life/services/http/HttpMerResource.class */
public class HttpMerResource extends GENEService {
    private List httpServices = new ArrayList();
    private int curConnect = 0;

    public HttpMerResource() {
    }

    public HttpMerResource(String name) {
        super.setName(name);
    }

    public String sendAndWait(String msg, int timeOut, String merURL, HashMap msgData) throws GENEException {
        return getResouce().sendAndWait(msg, timeOut, merURL, msgData);
    }

    private synchronized HttpMerCommService getResouce() throws GENEException {
        int count = 0;
        do {
            HttpMerCommService srv = (HttpMerCommService) this.httpServices.get(this.curConnect);
            this.curConnect++;
            count++;
            if (this.curConnect >= this.httpServices.size()) {
                this.curConnect = 0;
            }
            if (srv.curConnection < srv.getMaxConnection()) {
                srv.curConnection++;
                return srv;
            }
            GENELog.log(GENEConstance.GENE_COMM, GENELog.INFO, 0, "HttpMerCommService " + srv.getName() + " [" + srv.getHttpURL() + "] not available!");
        } while (count < this.httpServices.size());
        GENELog.log(GENEConstance.GENE_COMM, GENELog.INFO, 0, "All HttpMerCommService in HttpResource [" + getName() + "] are available,please check network!");
        throw new GENEException("All HttpMerCommService in HttpResource [" + getName() + "] are available,please check network!");
    }

    public void addHttpMerCommService(HttpMerCommService service) {
        this.httpServices.add(service);
    }
}
